> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auction

> Retrieve details for a specific Dutch auction

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>
<ParamField path="auctionId" type="string" required>Auction ID.</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/auctions/1" \
    -H "X-API-Key: trusset_your_key_here"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "auctionId": "1",
      "loanId": "7",
      "borrower": "0xabc...def",
      "collateralRemaining": "25.000000000000000000",
      "debtRemaining": "2136.250000",
      "currentPrice": "172.400000",
      "endTime": 1718449200,
      "active": true
    }
  }
  ```

  ```json Error - Not Found theme={null}
  {
    "success": false,
    "error": {
      "code": "AUCTION_NOT_FOUND",
      "message": "Auction not found"
    }
  }
  ```
</ResponseExample>
